
<script>
import { getStatusBar } from '@/utils/index';
export default {
	onLaunch: function() {
		console.log('App Launch')
		getStatusBar();
	},
	onShow: function() {
		console.log('App Show')
	},
	onHide: function() {
		console.log('App Hide')
	},
	methods: {
		getPhoneNumber: function({ params, success, fail }) {
			const { iv, encryptedData } = params;
			tt.login({
				force:true,
				success(lres){
					tt.request({
						url:"https://tran.jsshuita.cn/dy/home/mobile",
						data:{iv:iv,encryptedData:encryptedData,code:lres.code},
						method:"POST",
						success(res){
							var resp = res.data;
							if (resp.code == 0) return ;
							success({ phoneNumber: resp.data.mobile })
						},
						fail(res){
	
						}
					})
				},
				fail(res){
	
				}
			})
		},
	}
}
</script>

<style>
.skeleton-line{
	background: linear-gradient(90deg, #f1f2f4 25%, #e6e6e6 37%, #f1f2f4 50%);
	background-size: 400% 100%;
	border-radius: 3px;
	height: 30upx;
	width: 100%;
	margin-top: 20upx;
}
.skeleton-line.short{
	width: 60%;
}
.skeleton-line.max{
	height: 80upx;
}
.animate {
	animation: skeleton 1.8s ease infinite
}
@keyframes skeleton {
	0% {
		background-position: 100% 50%
	}

	100% {
		background-position: 0 50%
	}
}
</style>
